import { NodeAnnotation, NodeAnnotationTypeEnum } from './node-annotation.abstract';
import { Nullable } from '../../../../types/general';
import { AnnotationStyle, RTERenderContext } from '../../interface';
/**
 * Annotation to make text with underline
 */
export declare class UnderlineAnnotation extends NodeAnnotation {
  readonly type: NodeAnnotationTypeEnum;
  underline: boolean;
  constructor(underline: boolean);
  /**
   * Generate the map item for the annotation
   *
   * @param {boolean} underline - Underline annotation
   * @returns {[NodeAnnotationTypeEnum.UNDERLINE, UnderlineAnnotation]} Map item for the annotation
   */
  static from(underline: boolean): [NodeAnnotationTypeEnum.UNDERLINE, UnderlineAnnotation];
  /**
   * Generate the JSON representation of the annotation
   *
   * @returns {Record<string, unknown>} JSON representation of the annotation
   */
  toJSON(): Record<string, unknown>;
  /**
   * @inheritDoc
   */
  clone(): UnderlineAnnotation;
  /**
   * @inheritDoc
   */
  renderClass(options?: RTERenderContext): Nullable<string>;
  /**
   * @inheritDoc
   */
  renderStyle(options?: RTERenderContext): Nullable<AnnotationStyle>;
}
